org.eclipse.viatra.cep.core.metamodels.automaton.impl

## Class AutomatonPackageImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.ENamedElementImpl
            - - org.eclipse.emf.ecore.impl.EPackageImpl
              - - org.eclipse.viatra.cep.core.metamodels.automaton.impl.AutomatonPackageImpl

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, AutomatonPackage

      public class AutomatonPackageImpl
      extends org.eclipse.emf.ecore.impl.EPackageImpl
      implements AutomatonPackage

  An implementation of the model Package.
  Generated:

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.viatra.cep.core.metamodels.automaton.AutomatonPackage

      `AutomatonPackage.Literals`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `name, NAME_EDEFAULT`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.viatra.cep.core.metamodels.automaton.AutomatonPackage

      `AUTOMATON, AUTOMATON__EVENT_PATTERN_ID, AUTOMATON__EVENT_TOKENS, AUTOMATON__FINAL_STATES, AUTOMATON__INITIAL_STATE, AUTOMATON__STATES, AUTOMATON__TIMED_ZONES, AUTOMATON__TRAP_STATE, AUTOMATON_FEATURE_COUNT, AUTOMATON_OPERATION_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, EPSILON_TRANSITION, EPSILON_TRANSITION__POST_STATE, EPSILON_TRANSITION__PRE_STATE, EPSILON_TRANSITION_FEATURE_COUNT, EPSILON_TRANSITION_OPERATION_COUNT, EVENT_CONTEXT, EVENT_TOKEN, EVENT_TOKEN__CURRENT_STATE, EVENT_TOKEN__LAST_PROCESSED, EVENT_TOKEN__PARAMETER_TABLE, EVENT_TOKEN__RECORDED_EVENTS, EVENT_TOKEN__TIMED_ZONES, EVENT_TOKEN_FEATURE_COUNT, EVENT_TOKEN_OPERATION_COUNT, FINAL_STATE, FINAL_STATE__EVENT_TOKENS, FINAL_STATE__IN_STATE_OF, FINAL_STATE__IN_TRANSITIONS, FINAL_STATE__LABEL, FINAL_STATE__LAST_PROCESSED_EVENT, FINAL_STATE__OUT_STATE_OF, FINAL_STATE__OUT_TRANSITIONS, FINAL_STATE_FEATURE_COUNT, FINAL_STATE_OPERATION_COUNT, GUARD, GUARD__EVENT_TYPE, GUARD__TRANSITION, GUARD_FEATURE_COUNT, GUARD_OPERATION_COUNT, HOLDS_FOR, HOLDS_FOR__IN_STATE, HOLDS_FOR__OUT_STATE, HOLDS_FOR__TIME, HOLDS_FOR_FEATURE_COUNT, HOLDS_FOR_OPERATION_COUNT, INIT_STATE, INIT_STATE__EVENT_TOKENS, INIT_STATE__IN_STATE_OF, INIT_STATE__IN_TRANSITIONS, INIT_STATE__LABEL, INIT_STATE__LAST_PROCESSED_EVENT, INIT_STATE__OUT_STATE_OF, INIT_STATE__OUT_TRANSITIONS, INIT_STATE_FEATURE_COUNT, INIT_STATE_OPERATION_COUNT, INTERNAL_MODEL, INTERNAL_MODEL__AUTOMATA, INTERNAL_MODEL__ENABLED_FOR_THE_LATEST_EVENT, INTERNAL_MODEL__EVENT_TOKENS_IN_MODEL, INTERNAL_MODEL__LATEST_EVENT, INTERNAL_MODEL_FEATURE_COUNT, INTERNAL_MODEL_OPERATION_COUNT, NEGATIVE_TRANSITION, NEGATIVE_TRANSITION__GUARDS, NEGATIVE_TRANSITION__PARAMETERS, NEGATIVE_TRANSITION__POST_STATE, NEGATIVE_TRANSITION__PRE_STATE, NEGATIVE_TRANSITION_FEATURE_COUNT, NEGATIVE_TRANSITION_OPERATION_COUNT, PARAMETER, PARAMETER__POSITION, PARAMETER__SYMBOLIC_NAME, PARAMETER__TRANSITION, PARAMETER_BINDING, PARAMETER_BINDING__PARAMETER_TABLE, PARAMETER_BINDING__SYMBOLIC_NAME, PARAMETER_BINDING__VALUE, PARAMETER_BINDING_FEATURE_COUNT, PARAMETER_BINDING_OPERATION_COUNT, PARAMETER_FEATURE_COUNT, PARAMETER_OPERATION_COUNT, PARAMETER_TABLE, PARAMETER_TABLE__EVENT_TOKEN, PARAMETER_TABLE__PARAMETER_BINDINGS, PARAMETER_TABLE_FEATURE_COUNT, PARAMETER_TABLE_OPERATION_COUNT, STATE, STATE__EVENT_TOKENS, STATE__IN_STATE_OF, STATE__IN_TRANSITIONS, STATE__LABEL, STATE__LAST_PROCESSED_EVENT, STATE__OUT_STATE_OF, STATE__OUT_TRANSITIONS, STATE_FEATURE_COUNT, STATE_OPERATION_COUNT, TIMED_ZONE, TIMED_ZONE__IN_STATE, TIMED_ZONE__OUT_STATE, TIMED_ZONE__TIME, TIMED_ZONE_FEATURE_COUNT, TIMED_ZONE_OPERATION_COUNT, TRANSITION, TRANSITION__POST_STATE, TRANSITION__PRE_STATE, TRANSITION_FEATURE_COUNT, TRANSITION_OPERATION_COUNT, TRAP_STATE, TRAP_STATE__EVENT_TOKENS, TRAP_STATE__IN_STATE_OF, TRAP_STATE__IN_TRANSITIONS, TRAP_STATE__LABEL, TRAP_STATE__LAST_PROCESSED_EVENT, TRAP_STATE__OUT_STATE_OF, TRAP_STATE__OUT_TRANSITIONS, TRAP_STATE_FEATURE_COUNT, TRAP_STATE_OPERATION_COUNT, TYPED_TRANSITION, TYPED_TRANSITION__GUARDS, TYPED_TRANSITION__PARAMETERS, TYPED_TRANSITION__POST_STATE, TYPED_TRANSITION__PRE_STATE, TYPED_TRANSITION_FEATURE_COUNT, TYPED_TRANSITION_OPERATION_COUNT, WITHIN, WITHIN__IN_STATE, WITHIN__OUT_STATE, WITHIN__TIME, WITHIN_FEATURE_COUNT, WITHIN_OPERATION_COUNT`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createEcoreAnnotations()` Initializes the annotations for http://www.eclipse.org/emf/2002/Ecore.
    `protected void` | `createOrgAnnotations()` Initializes the annotations for org.eclipse.viatra.query.querybasedfeature.
    `void` | `createPackageContents()` Creates the meta-model objects for the package.
    `org.eclipse.emf.ecore.EAttribute` | `getAutomaton_EventPatternId()`
    `org.eclipse.emf.ecore.EReference` | `getAutomaton_EventTokens()`
    `org.eclipse.emf.ecore.EReference` | `getAutomaton_FinalStates()`
    `org.eclipse.emf.ecore.EReference` | `getAutomaton_InitialState()`
    `org.eclipse.emf.ecore.EReference` | `getAutomaton_States()`
    `org.eclipse.emf.ecore.EReference` | `getAutomaton_TimedZones()`
    `org.eclipse.emf.ecore.EReference` | `getAutomaton_TrapState()`
    `org.eclipse.emf.ecore.EClass` | `getAutomaton()`
    `AutomatonFactory` | `getAutomatonFactory()`
    `org.eclipse.emf.ecore.EClass` | `getEpsilonTransition()`
    `org.eclipse.emf.ecore.EEnum` | `getEventContext()`
    `org.eclipse.emf.ecore.EReference` | `getEventToken_CurrentState()`
    `org.eclipse.emf.ecore.EReference` | `getEventToken_LastProcessed()`
    `org.eclipse.emf.ecore.EReference` | `getEventToken_ParameterTable()`
    `org.eclipse.emf.ecore.EReference` | `getEventToken_RecordedEvents()`
    `org.eclipse.emf.ecore.EReference` | `getEventToken_TimedZones()`
    `org.eclipse.emf.ecore.EClass` | `getEventToken()`
    `org.eclipse.emf.ecore.EClass` | `getFinalState()`
    `org.eclipse.emf.ecore.EReference` | `getGuard_EventType()`
    `org.eclipse.emf.ecore.EReference` | `getGuard_Transition()`
    `org.eclipse.emf.ecore.EClass` | `getGuard()`
    `org.eclipse.emf.ecore.EClass` | `getHoldsFor()`
    `org.eclipse.emf.ecore.EClass` | `getInitState()`
    `org.eclipse.emf.ecore.EReference` | `getInternalModel_Automata()`
    `org.eclipse.emf.ecore.EReference` | `getInternalModel_EnabledForTheLatestEvent()`
    `org.eclipse.emf.ecore.EReference` | `getInternalModel_EventTokensInModel()`
    `org.eclipse.emf.ecore.EReference` | `getInternalModel_LatestEvent()`
    `org.eclipse.emf.ecore.EClass` | `getInternalModel()`
    `org.eclipse.emf.ecore.EClass` | `getNegativeTransition()`
    `org.eclipse.emf.ecore.EAttribute` | `getParameter_Position()`
    `org.eclipse.emf.ecore.EAttribute` | `getParameter_SymbolicName()`
    `org.eclipse.emf.ecore.EReference` | `getParameter_Transition()`
    `org.eclipse.emf.ecore.EClass` | `getParameter()`
    `org.eclipse.emf.ecore.EReference` | `getParameterBinding_ParameterTable()`
    `org.eclipse.emf.ecore.EAttribute` | `getParameterBinding_SymbolicName()`
    `org.eclipse.emf.ecore.EAttribute` | `getParameterBinding_Value()`
    `org.eclipse.emf.ecore.EClass` | `getParameterBinding()`
    `org.eclipse.emf.ecore.EReference` | `getParameterTable_EventToken()`
    `org.eclipse.emf.ecore.EReference` | `getParameterTable_ParameterBindings()`
    `org.eclipse.emf.ecore.EClass` | `getParameterTable()`
    `org.eclipse.emf.ecore.EReference` | `getState_EventTokens()`
    `org.eclipse.emf.ecore.EReference` | `getState_InStateOf()`
    `org.eclipse.emf.ecore.EReference` | `getState_InTransitions()`
    `org.eclipse.emf.ecore.EAttribute` | `getState_Label()`
    `org.eclipse.emf.ecore.EReference` | `getState_LastProcessedEvent()`
    `org.eclipse.emf.ecore.EReference` | `getState_OutStateOf()`
    `org.eclipse.emf.ecore.EReference` | `getState_OutTransitions()`
    `org.eclipse.emf.ecore.EClass` | `getState()`
    `org.eclipse.emf.ecore.EReference` | `getTimedZone_InState()`
    `org.eclipse.emf.ecore.EReference` | `getTimedZone_OutState()`
    `org.eclipse.emf.ecore.EAttribute` | `getTimedZone_Time()`
    `org.eclipse.emf.ecore.EClass` | `getTimedZone()`
    `org.eclipse.emf.ecore.EReference` | `getTransition_PostState()`
    `org.eclipse.emf.ecore.EReference` | `getTransition_PreState()`
    `org.eclipse.emf.ecore.EClass` | `getTransition()`
    `org.eclipse.emf.ecore.EClass` | `getTrapState()`
    `org.eclipse.emf.ecore.EReference` | `getTypedTransition_Guards()`
    `org.eclipse.emf.ecore.EReference` | `getTypedTransition_Parameters()`
    `org.eclipse.emf.ecore.EClass` | `getTypedTransition()`
    `org.eclipse.emf.ecore.EClass` | `getWithin()`
    `static AutomatonPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
    `void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `eContents, eCrossReferences, getName, getNameGen, setName`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### init

          public static AutomatonPackage init()

      Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

      This method is used to initialize `AutomatonPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

      See Also:
        `AutomatonPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`
      Generated:

    - #### getInternalModel

          public org.eclipse.emf.ecore.EClass getInternalModel()

      Specified by:
        `getInternalModel` in interface `AutomatonPackage`
      Returns:
        the meta object for class 'Internal Model'.
      See Also:
        `InternalModel`
      Generated:

    - #### getInternalModel_Automata

          public org.eclipse.emf.ecore.EReference getInternalModel_Automata()

      Specified by:
        `getInternalModel_Automata` in interface `AutomatonPackage`
      Returns:
        the meta object for the containment reference list 'Automata'.
      See Also:
        `InternalModel.getAutomata()`, `AutomatonPackage.getInternalModel()`
      Generated:

    - #### getInternalModel_LatestEvent

          public org.eclipse.emf.ecore.EReference getInternalModel_LatestEvent()

      Specified by:
        `getInternalModel_LatestEvent` in interface `AutomatonPackage`
      Returns:
        the meta object for the containment reference 'Latest Event'.
      See Also:
        `InternalModel.getLatestEvent()`, `AutomatonPackage.getInternalModel()`
      Generated:

    - #### getInternalModel_EnabledForTheLatestEvent

          public org.eclipse.emf.ecore.EReference getInternalModel_EnabledForTheLatestEvent()

      Specified by:
        `getInternalModel_EnabledForTheLatestEvent` in interface `AutomatonPackage`
      Returns:
        the meta object for the reference list 'Enabled For The Latest Event'.
      See Also:
        `InternalModel.getEnabledForTheLatestEvent()`, `AutomatonPackage.getInternalModel()`
      Generated:

    - #### getInternalModel_EventTokensInModel

          public org.eclipse.emf.ecore.EReference getInternalModel_EventTokensInModel()

      Specified by:
        `getInternalModel_EventTokensInModel` in interface `AutomatonPackage`
      Returns:
        the meta object for the reference list 'Event Tokens In Model'.
      See Also:
        `InternalModel.getEventTokensInModel()`, `AutomatonPackage.getInternalModel()`
      Generated:

    - #### getAutomaton

          public org.eclipse.emf.ecore.EClass getAutomaton()

      Specified by:
        `getAutomaton` in interface `AutomatonPackage`
      Returns:
        the meta object for class 'Automaton'.
      See Also:
        `Automaton`
      Generated:

    - #### getAutomaton_States

          public org.eclipse.emf.ecore.EReference getAutomaton_States()

      Specified by:
        `getAutomaton_States` in interface `AutomatonPackage`
      Returns:
        the meta object for the containment reference list 'States'.
      See Also:
        `Automaton.getStates()`, `AutomatonPackage.getAutomaton()`
      Generated:

    - #### getAutomaton_EventPatternId

          public org.eclipse.emf.ecore.EAttribute getAutomaton_EventPatternId()

      Specified by:
        `getAutomaton_EventPatternId` in interface `AutomatonPackage`
      Returns:
        the meta object for the attribute 'Event Pattern Id'.
      See Also:
        `Automaton.getEventPatternId()`, `AutomatonPackage.getAutomaton()`
      Generated:

    - #### getAutomaton_EventTokens

          public org.eclipse.emf.ecore.EReference getAutomaton_EventTokens()

      Specified by:
        `getAutomaton_EventTokens` in interface `AutomatonPackage`
      Returns:
        the meta object for the containment reference list 'Event Tokens'.
      See Also:
        `Automaton.getEventTokens()`, `AutomatonPackage.getAutomaton()`
      Generated:

    - #### getAutomaton_TimedZones

          public org.eclipse.emf.ecore.EReference getAutomaton_TimedZones()

      Specified by:
        `getAutomaton_TimedZones` in interface `AutomatonPackage`
      Returns:
        the meta object for the containment reference list 'Timed Zones'.
      See Also:
        `Automaton.getTimedZones()`, `AutomatonPackage.getAutomaton()`
      Generated:

    - #### getAutomaton_InitialState

          public org.eclipse.emf.ecore.EReference getAutomaton_InitialState()

      Specified by:
        `getAutomaton_InitialState` in interface `AutomatonPackage`
      Returns:
        the meta object for the reference 'Initial State'.
      See Also:
        `Automaton.getInitialState()`, `AutomatonPackage.getAutomaton()`
      Generated:

    - #### getAutomaton_FinalStates

          public org.eclipse.emf.ecore.EReference getAutomaton_FinalStates()

      Specified by:
        `getAutomaton_FinalStates` in interface `AutomatonPackage`
      Returns:
        the meta object for the reference list 'Final States'.
      See Also:
        `Automaton.getFinalStates()`, `AutomatonPackage.getAutomaton()`
      Generated:

    - #### getAutomaton_TrapState

          public org.eclipse.emf.ecore.EReference getAutomaton_TrapState()

      Specified by:
        `getAutomaton_TrapState` in interface `AutomatonPackage`
      Returns:
        the meta object for the reference 'Trap State'.
      See Also:
        `Automaton.getTrapState()`, `AutomatonPackage.getAutomaton()`
      Generated:

    - #### getEventToken

          public org.eclipse.emf.ecore.EClass getEventToken()

      Specified by:
        `getEventToken` in interface `AutomatonPackage`
      Returns:
        the meta object for class 'Event Token'.
      See Also:
        `EventToken`
      Generated:

    - #### getEventToken_CurrentState

          public org.eclipse.emf.ecore.EReference getEventToken_CurrentState()

      Specified by:
        `getEventToken_CurrentState` in interface `AutomatonPackage`
      Returns:
        the meta object for the reference 'Current State'.
      See Also:
        `EventToken.getCurrentState()`, `AutomatonPackage.getEventToken()`
      Generated:

    - #### getEventToken_RecordedEvents

          public org.eclipse.emf.ecore.EReference getEventToken_RecordedEvents()

      Specified by:
        `getEventToken_RecordedEvents` in interface `AutomatonPackage`
      Returns:
        the meta object for the reference list 'Recorded Events'.
      See Also:
        `EventToken.getRecordedEvents()`, `AutomatonPackage.getEventToken()`
      Generated:

    - #### getEventToken_LastProcessed

          public org.eclipse.emf.ecore.EReference getEventToken_LastProcessed()

      Specified by:
        `getEventToken_LastProcessed` in interface `AutomatonPackage`
      Returns:
        the meta object for the reference 'Last Processed'.
      See Also:
        `EventToken.getLastProcessed()`, `AutomatonPackage.getEventToken()`
      Generated:

    - #### getEventToken_TimedZones

          public org.eclipse.emf.ecore.EReference getEventToken_TimedZones()

      Specified by:
        `getEventToken_TimedZones` in interface `AutomatonPackage`
      Returns:
        the meta object for the reference list 'Timed Zones'.
      See Also:
        `EventToken.getTimedZones()`, `AutomatonPackage.getEventToken()`
      Generated:

    - #### getEventToken_ParameterTable

          public org.eclipse.emf.ecore.EReference getEventToken_ParameterTable()

      Specified by:
        `getEventToken_ParameterTable` in interface `AutomatonPackage`
      Returns:
        the meta object for the containment reference 'Parameter Table'.
      See Also:
        `EventToken.getParameterTable()`, `AutomatonPackage.getEventToken()`
      Generated:

    - #### getState

          public org.eclipse.emf.ecore.EClass getState()

      Specified by:
        `getState` in interface `AutomatonPackage`
      Returns:
        the meta object for class 'State'.
      See Also:
        `State`
      Generated:

    - #### getState_InTransitions

          public org.eclipse.emf.ecore.EReference getState_InTransitions()

      Specified by:
        `getState_InTransitions` in interface `AutomatonPackage`
      Returns:
        the meta object for the reference list 'In Transitions'.
      See Also:
        `State.getInTransitions()`, `AutomatonPackage.getState()`
      Generated:

    - #### getState_OutTransitions

          public org.eclipse.emf.ecore.EReference getState_OutTransitions()

      Specified by:
        `getState_OutTransitions` in interface `AutomatonPackage`
      Returns:
        the meta object for the containment reference list 'Out Transitions'.
      See Also:
        `State.getOutTransitions()`, `AutomatonPackage.getState()`
      Generated:

    - #### getState_Label

          public org.eclipse.emf.ecore.EAttribute getState_Label()

      Specified by:
        `getState_Label` in interface `AutomatonPackage`
      Returns:
        the meta object for the attribute 'Label'.
      See Also:
        `State.getLabel()`, `AutomatonPackage.getState()`
      Generated:

    - #### getState_EventTokens

          public org.eclipse.emf.ecore.EReference getState_EventTokens()

      Specified by:
        `getState_EventTokens` in interface `AutomatonPackage`
      Returns:
        the meta object for the reference list 'Event Tokens'.
      See Also:
        `State.getEventTokens()`, `AutomatonPackage.getState()`
      Generated:

    - #### getState_LastProcessedEvent

          public org.eclipse.emf.ecore.EReference getState_LastProcessedEvent()

      Specified by:
        `getState_LastProcessedEvent` in interface `AutomatonPackage`
      Returns:
        the meta object for the reference 'Last Processed Event'.
      See Also:
        `State.getLastProcessedEvent()`, `AutomatonPackage.getState()`
      Generated:

    - #### getState_InStateOf

          public org.eclipse.emf.ecore.EReference getState_InStateOf()

      Specified by:
        `getState_InStateOf` in interface `AutomatonPackage`
      Returns:
        the meta object for the reference list 'In State Of'.
      See Also:
        `State.getInStateOf()`, `AutomatonPackage.getState()`
      Generated:

    - #### getState_OutStateOf

          public org.eclipse.emf.ecore.EReference getState_OutStateOf()

      Specified by:
        `getState_OutStateOf` in interface `AutomatonPackage`
      Returns:
        the meta object for the reference list 'Out State Of'.
      See Also:
        `State.getOutStateOf()`, `AutomatonPackage.getState()`
      Generated:

    - #### getInitState

          public org.eclipse.emf.ecore.EClass getInitState()

      Specified by:
        `getInitState` in interface `AutomatonPackage`
      Returns:
        the meta object for class 'Init State'.
      See Also:
        `InitState`
      Generated:

    - #### getFinalState

          public org.eclipse.emf.ecore.EClass getFinalState()

      Specified by:
        `getFinalState` in interface `AutomatonPackage`
      Returns:
        the meta object for class 'Final State'.
      See Also:
        `FinalState`
      Generated:

    - #### getTrapState

          public org.eclipse.emf.ecore.EClass getTrapState()

      Specified by:
        `getTrapState` in interface `AutomatonPackage`
      Returns:
        the meta object for class 'Trap State'.
      See Also:
        `TrapState`
      Generated:

    - #### getTransition

          public org.eclipse.emf.ecore.EClass getTransition()

      Specified by:
        `getTransition` in interface `AutomatonPackage`
      Returns:
        the meta object for class 'Transition'.
      See Also:
        `Transition`
      Generated:

    - #### getTransition_PreState

          public org.eclipse.emf.ecore.EReference getTransition_PreState()

      Specified by:
        `getTransition_PreState` in interface `AutomatonPackage`
      Returns:
        the meta object for the container reference 'Pre State'.
      See Also:
        `Transition.getPreState()`, `AutomatonPackage.getTransition()`
      Generated:

    - #### getTransition_PostState

          public org.eclipse.emf.ecore.EReference getTransition_PostState()

      Specified by:
        `getTransition_PostState` in interface `AutomatonPackage`
      Returns:
        the meta object for the reference 'Post State'.
      See Also:
        `Transition.getPostState()`, `AutomatonPackage.getTransition()`
      Generated:

    - #### getTypedTransition

          public org.eclipse.emf.ecore.EClass getTypedTransition()

      Specified by:
        `getTypedTransition` in interface `AutomatonPackage`
      Returns:
        the meta object for class 'Typed Transition'.
      See Also:
        `TypedTransition`
      Generated:

    - #### getTypedTransition_Guards

          public org.eclipse.emf.ecore.EReference getTypedTransition_Guards()

      Specified by:
        `getTypedTransition_Guards` in interface `AutomatonPackage`
      Returns:
        the meta object for the containment reference list 'Guards'.
      See Also:
        `TypedTransition.getGuards()`, `AutomatonPackage.getTypedTransition()`
      Generated:

    - #### getTypedTransition_Parameters

          public org.eclipse.emf.ecore.EReference getTypedTransition_Parameters()

      Specified by:
        `getTypedTransition_Parameters` in interface `AutomatonPackage`
      Returns:
        the meta object for the containment reference list 'Parameters'.
      See Also:
        `TypedTransition.getParameters()`, `AutomatonPackage.getTypedTransition()`
      Generated:

    - #### getNegativeTransition

          public org.eclipse.emf.ecore.EClass getNegativeTransition()

      Specified by:
        `getNegativeTransition` in interface `AutomatonPackage`
      Returns:
        the meta object for class 'Negative Transition'.
      See Also:
        `NegativeTransition`
      Generated:

    - #### getEpsilonTransition

          public org.eclipse.emf.ecore.EClass getEpsilonTransition()

      Specified by:
        `getEpsilonTransition` in interface `AutomatonPackage`
      Returns:
        the meta object for class 'Epsilon Transition'.
      See Also:
        `EpsilonTransition`
      Generated:

    - #### getGuard

          public org.eclipse.emf.ecore.EClass getGuard()

      Specified by:
        `getGuard` in interface `AutomatonPackage`
      Returns:
        the meta object for class 'Guard'.
      See Also:
        `Guard`
      Generated:

    - #### getGuard_EventType

          public org.eclipse.emf.ecore.EReference getGuard_EventType()

      Specified by:
        `getGuard_EventType` in interface `AutomatonPackage`
      Returns:
        the meta object for the reference 'Event Type'.
      See Also:
        `Guard.getEventType()`, `AutomatonPackage.getGuard()`
      Generated:

    - #### getGuard_Transition

          public org.eclipse.emf.ecore.EReference getGuard_Transition()

      Specified by:
        `getGuard_Transition` in interface `AutomatonPackage`
      Returns:
        the meta object for the container reference 'Transition'.
      See Also:
        `Guard.getTransition()`, `AutomatonPackage.getGuard()`
      Generated:

    - #### getTimedZone

          public org.eclipse.emf.ecore.EClass getTimedZone()

      Specified by:
        `getTimedZone` in interface `AutomatonPackage`
      Returns:
        the meta object for class 'Timed Zone'.
      See Also:
        `TimedZone`
      Generated:

    - #### getTimedZone_InState

          public org.eclipse.emf.ecore.EReference getTimedZone_InState()

      Specified by:
        `getTimedZone_InState` in interface `AutomatonPackage`
      Returns:
        the meta object for the reference 'In State'.
      See Also:
        `TimedZone.getInState()`, `AutomatonPackage.getTimedZone()`
      Generated:

    - #### getTimedZone_OutState

          public org.eclipse.emf.ecore.EReference getTimedZone_OutState()

      Specified by:
        `getTimedZone_OutState` in interface `AutomatonPackage`
      Returns:
        the meta object for the reference 'Out State'.
      See Also:
        `TimedZone.getOutState()`, `AutomatonPackage.getTimedZone()`
      Generated:

    - #### getTimedZone_Time

          public org.eclipse.emf.ecore.EAttribute getTimedZone_Time()

      Specified by:
        `getTimedZone_Time` in interface `AutomatonPackage`
      Returns:
        the meta object for the attribute 'Time'.
      See Also:
        `TimedZone.getTime()`, `AutomatonPackage.getTimedZone()`
      Generated:

    - #### getWithin

          public org.eclipse.emf.ecore.EClass getWithin()

      Specified by:
        `getWithin` in interface `AutomatonPackage`
      Returns:
        the meta object for class 'Within'.
      See Also:
        `Within`
      Generated:

    - #### getHoldsFor

          public org.eclipse.emf.ecore.EClass getHoldsFor()

      Specified by:
        `getHoldsFor` in interface `AutomatonPackage`
      Returns:
        the meta object for class 'Holds For'.
      See Also:
        `HoldsFor`
      Generated:

    - #### getParameter

          public org.eclipse.emf.ecore.EClass getParameter()

      Specified by:
        `getParameter` in interface `AutomatonPackage`
      Returns:
        the meta object for class 'Parameter'.
      See Also:
        `Parameter`
      Generated:

    - #### getParameter_Position

          public org.eclipse.emf.ecore.EAttribute getParameter_Position()

      Specified by:
        `getParameter_Position` in interface `AutomatonPackage`
      Returns:
        the meta object for the attribute 'Position'.
      See Also:
        `Parameter.getPosition()`, `AutomatonPackage.getParameter()`
      Generated:

    - #### getParameter_SymbolicName

          public org.eclipse.emf.ecore.EAttribute getParameter_SymbolicName()

      Specified by:
        `getParameter_SymbolicName` in interface `AutomatonPackage`
      Returns:
        the meta object for the attribute 'Symbolic Name'.
      See Also:
        `Parameter.getSymbolicName()`, `AutomatonPackage.getParameter()`
      Generated:

    - #### getParameter_Transition

          public org.eclipse.emf.ecore.EReference getParameter_Transition()

      Specified by:
        `getParameter_Transition` in interface `AutomatonPackage`
      Returns:
        the meta object for the container reference 'Transition'.
      See Also:
        `Parameter.getTransition()`, `AutomatonPackage.getParameter()`
      Generated:

    - #### getParameterTable

          public org.eclipse.emf.ecore.EClass getParameterTable()

      Specified by:
        `getParameterTable` in interface `AutomatonPackage`
      Returns:
        the meta object for class 'Parameter Table'.
      See Also:
        `ParameterTable`
      Generated:

    - #### getParameterTable_ParameterBindings

          public org.eclipse.emf.ecore.EReference getParameterTable_ParameterBindings()

      Specified by:
        `getParameterTable_ParameterBindings` in interface `AutomatonPackage`
      Returns:
        the meta object for the containment reference list 'Parameter Bindings'.
      See Also:
        `ParameterTable.getParameterBindings()`, `AutomatonPackage.getParameterTable()`
      Generated:

    - #### getParameterTable_EventToken

          public org.eclipse.emf.ecore.EReference getParameterTable_EventToken()

      Specified by:
        `getParameterTable_EventToken` in interface `AutomatonPackage`
      Returns:
        the meta object for the container reference 'Event Token'.
      See Also:
        `ParameterTable.getEventToken()`, `AutomatonPackage.getParameterTable()`
      Generated:

    - #### getParameterBinding

          public org.eclipse.emf.ecore.EClass getParameterBinding()

      Specified by:
        `getParameterBinding` in interface `AutomatonPackage`
      Returns:
        the meta object for class 'Parameter Binding'.
      See Also:
        `ParameterBinding`
      Generated:

    - #### getParameterBinding_SymbolicName

          public org.eclipse.emf.ecore.EAttribute getParameterBinding_SymbolicName()

      Specified by:
        `getParameterBinding_SymbolicName` in interface `AutomatonPackage`
      Returns:
        the meta object for the attribute 'Symbolic Name'.
      See Also:
        `ParameterBinding.getSymbolicName()`, `AutomatonPackage.getParameterBinding()`
      Generated:

    - #### getParameterBinding_Value

          public org.eclipse.emf.ecore.EAttribute getParameterBinding_Value()

      Specified by:
        `getParameterBinding_Value` in interface `AutomatonPackage`
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `ParameterBinding.getValue()`, `AutomatonPackage.getParameterBinding()`
      Generated:

    - #### getParameterBinding_ParameterTable

          public org.eclipse.emf.ecore.EReference getParameterBinding_ParameterTable()

      Specified by:
        `getParameterBinding_ParameterTable` in interface `AutomatonPackage`
      Returns:
        the meta object for the container reference 'Parameter Table'.
      See Also:
        `ParameterBinding.getParameterTable()`, `AutomatonPackage.getParameterBinding()`
      Generated:

    - #### getEventContext

          public org.eclipse.emf.ecore.EEnum getEventContext()

      Specified by:
        `getEventContext` in interface `AutomatonPackage`
      Returns:
        the meta object for enum 'Event Context'.
      See Also:
        `EventContext`
      Generated:

    - #### getAutomatonFactory

          public AutomatonFactory getAutomatonFactory()

      Specified by:
        `getAutomatonFactory` in interface `AutomatonPackage`
      Returns:
        the factory that creates the instances of the model.
      Generated:

    - #### createPackageContents

          public void createPackageContents()

      Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.
      Generated:

    - #### initializePackageContents

          public void initializePackageContents()

      Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.
      Generated:

    - #### createEcoreAnnotations

          protected void createEcoreAnnotations()

      Initializes the annotations for http://www.eclipse.org/emf/2002/Ecore.
      Generated:

    - #### createOrgAnnotations

          protected void createOrgAnnotations()

      Initializes the annotations for org.eclipse.viatra.query.querybasedfeature.
      Generated: